Subject: Re: bug#70324: After upgrade of linux-libre, linux-libre-documentation fails to build

From: Leo Famulari <[email-masked]>
Date: Thu, 11 Apr 2024 10:55:39 -0400

On Thu, Apr 11, 2024 at 04:42:27PM +0200, Tomas Volf wrote:
> I would assume it is the texinfodocs triggering the YNL_INDEX for us.  This
> snippet from the commit message:
> 
>   If one of other targets such as latexdocs or epubdocs is built
>   without building htmldocs, missing .rst files can cause additional
>   WARNINGs from sphinx-build as follow:
> 
> Seems to indicate it is intentional.

Okay, thanks for looking. We can add a dependency on python-pyyaml and
it should work.

> Right, I should have written the question differently.  I am curious how this
> got onto the master.  Given the point 9. in (guix)Submitting Patches, and the
> fact the QA should run on every patch before it is accepted, I was surprised
> that the broken build of dependent package was committed.
> 
> Since this was second time in past ~two months the linux-libre-documentation
> package on master was broken, I was curious if it is special in some way.

Oh, I see. As shown on the 'kernel-updates' Cuirass jobset page, our
infrastructure at ci.guix.gnu.org can build less than of the kernel
packages successfully. So, the documentation failures are "lost in the
noise".

https://ci.guix.gnu.org/jobset/kernel-updates

I'm looking for more people to help with the kernel packages, and one
person has joined the effort and that is great!

But if we want to hold the kernel packages to the normal Guix standard,
we need more help:

https://lists.gnu.org/archive/html/guix-devel/2023-10/msg00079.html

Based on lack of complaints, it seems that people are only using Guix's
linux-libre kernels on x86_64. Either nobody is using the other
architectures, or they are using different kernels. So bugs are seldom
reported or fixed.

Example of CI failure bugs that don't seem to affect anyone:
https://issues.guix.gnu.org/67535

And qa.quix.gnu.org is too slow for kernel updates, which occur roughly
once a week. If QA takes more than one week to process the proposed
updates, then we would never catch up. The QA workflow is very good and
we should be using it, but it needs to be more powerful.